Problema con Beryl

11 risposte [Ultimo messaggio]
Ritratto di tommy1986
tommy1986
(Junior)
Offline
Junior
Iscritto: 16/01/2007
Messaggi: 20

Ho un piccolo problema :
Scarico Beryl seguendo la guida faccio il makeall e mi compare questo errore :

checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking for ANSI C header files... (cached) yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for BERYLSETTINGS... configure: error: Package requirements (
berylsettings >= 0.1.2
glib-2.0 >= 2.6
x11
) were not met:

No package 'berylsettings' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables BERYLSETTINGS_CFLAGS
and BERYLSETTINGS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

BUILD FAILED for beryl-settings-bindings

Qualcuno sa dirmi perchè? cosa ho sbaghliato ?
Sad Sad Sad

Grazie mille

Tommy

Asus A8N SLI Amd X2 64 @ 3800 Acquagate 2 4x512 Mb Ram 2x 6600 GT 256Mb 250Gb Sata2 160Gb Sata2

Ritratto di Born_To_Burn
Born_To_Burn
(Monster)
Offline
Monster
Iscritto: 10/06/2006
Messaggi: 392

Lo stai installando da sorgente beryl? Sul sito di opensuse ho trovato il repo col quale lo puoi installare via rpm con yast!

Protocol - HTTP
Server Name - software.opensuse.org
Directory - /download/X11:/XGL/openSUSE_10.2/

Ciao!

Ritratto di JJ_Kame_R
JJ_Kame_R
(Geek)
Offline
Geek
Iscritto: 06/12/2006
Messaggi: 143

Ciao...

2 domande.

1) Lo stai istallando da root?
2) Lo stai istallando da dentro la cartella "beryl" dove l'hai scaricato?

Prova a ridare il codice svn per fargli scaricare l'aggiornamento.

Nn sta trovando la cartella beryl-settings... cosa alquanto anomala.

"Do or Do Not. There is No Try." - Master Yoda
Sabayon 3.3 (gentoo 4 president) - xp2400@3400+ - 7600gt XXX - 1,5gb RAM
"Penguin Prevails && Overruns!!!" - JJ_Kame_R

Ritratto di tommy1986
tommy1986
(Junior)
Offline
Junior
Iscritto: 16/01/2007
Messaggi: 20

sisi sto installando da root e dentro la cartella beryl. Tra l'altro la cartella beryl setting lui me la ha scaricata Sad

Asus A8N SLI Amd X2 64 @ 3800 Acquagate 2 4x512 Mb Ram 2x 6600 GT 256Mb 250Gb Sata2 160Gb Sata2

Ritratto di JJ_Kame_R
JJ_Kame_R
(Geek)
Offline
Geek
Iscritto: 06/12/2006
Messaggi: 143

cd ..
rm -r beryl

svn ecc. ecc.
cd beryl
./makeall

Riscaricala... avrai scaricato un file corrotto.
Pc/Ram overclockate?
Linux in compilazione è molto bastardo su questo...

Hai digitato ./makeall (tutto attaccato) dentro la cartella beryl e non make o make all immagino...

"Do or Do Not. There is No Try." - Master Yoda
Sabayon 3.3 (gentoo 4 president) - xp2400@3400+ - 7600gt XXX - 1,5gb RAM
"Penguin Prevails && Overruns!!!" - JJ_Kame_R

Ritratto di tommy1986
tommy1986
(Junior)
Offline
Junior
Iscritto: 16/01/2007
Messaggi: 20

lo ho gia scaricato e cancellato un paio di volte... nessun overclock.

L'errore che non capisco bene è questo :

checking for BERYLSETTINGS... configure: error: Package requirements
(berylsettings > = 0.1.2
glibs-2.0 >=2.6
x11
)were not met :

Cosa significa esattamente?

la versione di berylsetting è superiore a quella indicata e anche quella di glib 2.0 . quell'x11 a cosa si riferisce ?

Mah sn troppo niubbo per capire tutta questa roba Sad

Asus A8N SLI Amd X2 64 @ 3800 Acquagate 2 4x512 Mb Ram 2x 6600 GT 256Mb 250Gb Sata2 160Gb Sata2

Ritratto di JJ_Kame_R
JJ_Kame_R
(Geek)
Offline
Geek
Iscritto: 06/12/2006
Messaggi: 143

x11 si riferisce a x11-devel, pacchetto per lo sviluppo di funzioni per xorg.
Probabilmente è quello che ti manca.

Scarica:

xorg-x11-devel
xorg-x11-libX11-devel

glib l'hai istallato da rpm o l'hai compilato? Se l'hai compilato probabilmente è nel path sbagliato.
Devi configurargli il percorso giusto.

"Do or Do Not. There is No Try." - Master Yoda
Sabayon 3.3 (gentoo 4 president) - xp2400@3400+ - 7600gt XXX - 1,5gb RAM
"Penguin Prevails && Overruns!!!" - JJ_Kame_R

Ritratto di tommy1986
tommy1986
(Junior)
Offline
Junior
Iscritto: 16/01/2007
Messaggi: 20

ok risolto il problema.
Serviva il pacchetto di sviluppo Python

Nuovo errore :

grep: /usr/lib/libXdmcp.la: No such file or directory
/usr/bin/sed: can't read /usr/lib/libXdmcp.la: No such file or directory
libtool: link: `/usr/lib/libXdmcp.la' is not a valid libtool archive
make[3]: *** [libgroup.la] Error 1
make[3]: Leaving directory `/home/beryl/beryl-plugins/src/group'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/beryl/beryl-plugins/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/beryl/beryl-plugins'
make: *** [all] Error 2
BUILD FAILED for beryl-plugins
linux-owmn:/home/beryl #

Asus A8N SLI Amd X2 64 @ 3800 Acquagate 2 4x512 Mb Ram 2x 6600 GT 256Mb 250Gb Sata2 160Gb Sata2

Ritratto di tommy1986
tommy1986
(Junior)
Offline
Junior
Iscritto: 16/01/2007
Messaggi: 20

dovrei aver risolto installando l'rpm
libXdmcp

Sono in compiling..ora vediamo

Asus A8N SLI Amd X2 64 @ 3800 Acquagate 2 4x512 Mb Ram 2x 6600 GT 256Mb 250Gb Sata2 160Gb Sata2

Ritratto di tommy1986
tommy1986
(Junior)
Offline
Junior
Iscritto: 16/01/2007
Messaggi: 20

grep: /usr/lib/libXfixes.la: No such file or directory
/usr/bin/sed: can't read /usr/lib/libXfixes.la: No such file or directory
libtool: link: `/usr/lib/libXfixes.la' is not a valid libtool archive
make[3]: *** [libgroup.la] Error 1
make[3]: Leaving directory `/home/beryl/beryl-plugins/src/group'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/beryl/beryl-plugins/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/beryl/beryl-plugins'
make: *** [all] Error 2
BUILD FAILED for beryl-plugins
linux-owmn:/home/beryl #

vediamo di trovare anche questa

Asus A8N SLI Amd X2 64 @ 3800 Acquagate 2 4x512 Mb Ram 2x 6600 GT 256Mb 250Gb Sata2 160Gb Sata2

Ritratto di tommy1986
tommy1986
(Junior)
Offline
Junior
Iscritto: 16/01/2007
Messaggi: 20

scaricando tutti i pacchetti libfixes

nuovo errore

g-declarations -Wnested-externs -fno-strict-aliasing -o libgroup.la -rpath /usr/lib/beryl -module -avoid-version -no-undefined group.lo init.lo option.lo paint.lo queues.lo selection.lo tab.lo -lpng12 -lXcomposite -lXdamage -lXrandr -lSM -lXinerama -lstartup-notification-1 -lXfixes -lXrender -lICE -lX11 -lpthread -lXext -L/opt/gnome/lib64 -L/usr/lib -lberylsettings -lglib-2.0 -lpng12 -lXcomposite -lXdamage -lXrandr -lSM -lXinerama -lstartup-notification-1 -lXfixes -lXrender -lICE -lX11 -lpthread -lXext -lcairo
grep: /usr/lib/libXext.la: No such file or directory
/usr/bin/sed: can't read /usr/lib/libXext.la: No such file or directory
libtool: link: `/usr/lib/libXext.la' is not a valid libtool archive
make[3]: *** [libgroup.la] Error 1
make[3]: Leaving directory `/home/beryl/beryl-plugins/src/group'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/beryl/beryl-plugins/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/beryl/beryl-plugins'
make: *** [all] Error 2
BUILD FAILED for beryl-plugins
linux-owmn:/home/beryl #

Asus A8N SLI Amd X2 64 @ 3800 Acquagate 2 4x512 Mb Ram 2x 6600 GT 256Mb 250Gb Sata2 160Gb Sata2